For Developers

Get Student Period Attendance

This model is part of the v2.5 API update which is currently in beta and therefore subject to change.

GET https://ed.link/api/v2/graph/student_period_attendance/:student_period_attendance_id

Retrieve information about a specific Student Period Attendance.

Request Parameters

ParameterLocationTypeDescription
student_period_attendance_idurlstringThe UUID of the desired Student Period Attendance.

Sample Request

axios.get('https://ed.link/api/v2/graph/student_period_attendance/00000000-0000-0000-0000-000000000000', {
    headers: {
        authorization: `Bearer ${integration_access_token}`
    }
});

Sample Response

{
    "$data": {
        "id": "00000000-0000-0000-0000-000000000000",
        "created_date": "2021-07-05T20:32:40.454Z",
        "updated_date": "2021-07-12T21:44:23.126Z",
        "student_period_meeting_id": "00000000-0000-0000-0000-000000000001",
        "person_id": "00000000-0000-0000-0000-000000000002",
        "attendance_type_id": "00000000-0000-0000-0000-000000000003",
        "attendance_status_id": "00000000-0000-0000-0000-000000000004",
        "attendance_entry_method_id": "00000000-0000-0000-0000-000000000005",
        "attendance_entry_source_id": "00000000-0000-0000-0000-000000000006",
        "finalized": false,
        "comment": "student claims they didn't hear the bell ring"
    },
    "$request": "00000000-0000-0000-0000-000000000000"
}